#ifndef	PCPTALK_DEFS_H
#define	PCPTALK_DEFS_H

#include <xtalk/firmware_defs.h>
/*------------- PCP - Panel Control Protocol ---------------------------------*/

#define	PCP_PROTO_VER			0x11	/* PCP version                */

#define	MAX_KEYBUF	10	/* Maximum number of keys returned */

#define PCP_XBEE_GET			0x70	/* Get Last XBEE received byte*/
#define PCP_XBEE_SEND			0x71	/* Send to XBEE using UART    */
#define PCP_LCD_SENDR			0x72	/* Send to LCDs register      */
#define PCP_LCD_SENDD			0x73	/* Send to LCDs data RAM      */
#define PCP_LED_SEND			0x74	/* Send to LED                */
#define PCP_CONTROL			0x75	/* Set control byte: e.g. backlight       */
#define PCP_CONTROL_LIGHT		0x01	/* LCD backlight */
#define PCP_CONTROL_BUZZER		0x02	/* Buzzer */
#define PCP_KEY_GET			0x76	/* Get state of the keys      */
#define	PCP_KEY_GET_REPLY		(PCP_KEY_GET | XTALK_REPLY_MASK)
#define	PCP_FAN_SET			0x77	/* Set FAN speed              */
#define	PCP_FAN_GET			0x78	/* Get FAN speed              */
#define	PCP_FAN_GET_REPLY		(PCP_FAN_GET | XTALK_REPLY_MASK)
#define PCP_PSU_GET                     0x79    /* Get PSU status              */
#define PCP_PSU_GET_REPLY               (PCP_PSU_GET | XTALK_REPLY_MASK)
#define	PCP_PWR_SET			0x60	/* Set USB Power              */
#define	PCP_PWR_GET			0x61	/* Get USB Power              */
#define	PCP_PWR_GET_REPLY		(PCP_PWR_GET | XTALK_REPLY_MASK)
#define FAN_MAX_SPEED			0x03
#define FAN_MID_SPEED			0x02
#define FAN_OFF_SPEED			0x00
#define FANS_NUM			0x03

#define PCP_EEPROM_BLK_RD		0x27	/* EEPROM block read          */
#define PCP_EEPROM_WRITE		0x28	/* EEPROM write               */

#define PCP_TEST			0x25	/* Test command               */
#define PCP_TEST_REPLY			0xA5	/* Test command reply         */
#define PCP_RESET			0x45	/* Nothing yet...             */

#endif	/* PCPTALK_DEFS_H */
